import express from 'express';

// Route imports
import skuRoute from './:id.js';
import testRoute from './test.js';
import dashboardRoute from './dashboard.js';
import csvImportRoute from './import/csvImport.js';
import listAllItems from './listAllItems.js';
import categoryManager from './categoryManager.js';

// Router base is '/'
const Router = express.Router({ strict: false });


Router.use('/test', testRoute);
Router.use('/allItems', listAllItems)
Router.use('/allCategories', categoryManager)
Router.use('/import/csv', csvImportRoute);
Router.use('/:id(\\w{8})', skuRoute);
Router.use('/', dashboardRoute);

export default Router;
