import express, { Express } from 'express';

// Route imports
import frontend_routes from './frontend/index.js';
import static_routes from './static/index.js';
import api_routes from './api/index.js';
import dev_routes from './dev/index.js';

const Router = express.Router({ strict: false });

Router.use('/static', static_routes);
Router.use('/api', api_routes);
Router.use('/dev', dev_routes); // This is just for development. ToDo: Add check if we are in devmode.
Router.use('/', frontend_routes);

export default Router;